Get Available Apps
curl --request GET \
--url https://alerts-api.dial.to/v2/apps \
--header 'Authorization: Bearer <token>' \
--header 'X-Dialect-Client-Key: <x-dialect-client-key>'import requests
url = "https://alerts-api.dial.to/v2/apps"
headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>'
}
};
fetch('https://alerts-api.dial.to/v2/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"subscribed": true,
"topics": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Price Alerts",
"slug": "price-alerts",
"subscribed": true,
"description": "Receive alerts when prices drop below a certain threshold"
}
],
"channels": [
{
"subscribed": true
}
],
"description": "<string>",
"icon": "<string>"
}
]
}Integrate an Inbox
Get Available Apps
Get all applications available to the authenticated user with subscription status, topics, and channel availability
GET
/
v2
/
apps
Get Available Apps
Authorizations
Bearer token authentication for subscriber calls
Headers
Client Key used to uniquely identify the client
Example:
"dk_gyh2eqzfkc4mhp5eiahnndkz"
Response
Available apps with detailed subscription and topic information
Show child attributes
Show child attributes
Was this page helpful?
⌘I